# pion::plugins::CookieService Class Reference

`#include <CookieService.hpp>`

Inherits pion::http::plugin_service.

List of all members.

## Public Member Functions

virtual void | operator() (pion::http::request_ptr &http_request_ptr, pion::tcp::connection_ptr &tcp_conn)
| handles requests for CookieService

## Detailed Description

CookieService: web service that displays and updates cookies

Definition at line 22 of file CookieService.hpp.

The documentation for this class was generated from the following files:

- services/CookieService.hpp
- services/CookieService.cpp